# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v3.2.1](https://github.com/RobBrazier/svelte-awesome/compare/v3.2.0...v3.2.1)

### Commits

- add Svelte 4 to peerDependencies [`c79bc99`](https://github.com/RobBrazier/svelte-awesome/commit/c79bc9990aac542d04eadcd8639a5d680f3a2e93)

## [v3.2.0](https://github.com/RobBrazier/svelte-awesome/compare/v3.1.0...v3.2.0) - 2023-03-17

### Fixed

- handle additional properties e.g. aria-hidden and pass to svg element - fixes #965 [`#965`](https://github.com/RobBrazier/svelte-awesome/issues/965)

## [v3.1.0](https://github.com/RobBrazier/svelte-awesome/compare/v3.0.1...v3.1.0) - 2023-03-05

### Commits

- format files to be compliant with prettier and add examples for v6 as well as v5 [`1256232`](https://github.com/RobBrazier/svelte-awesome/commit/1256232cc97341bcd540567698f441b7b80990af)
- Upgrade sveltekit out of alpha version and optimise code a bit to be less hacky [`2524d98`](https://github.com/RobBrazier/svelte-awesome/commit/2524d98c16c3f7d49af482651f0df3d1b0c0a1ff)
- clean up devDependencies to remove a bunch of stuff dependabot added [`0a10314`](https://github.com/RobBrazier/svelte-awesome/commit/0a10314c31e4f5bcf4832e260dcad3fbf9f5009a)
- migration to @sveltejs/package v2 [`3f1b832`](https://github.com/RobBrazier/svelte-awesome/commit/3f1b832d8b9313c3f652f71016881f373a0fdb30)
- add typing to flip option [`f4c2dae`](https://github.com/RobBrazier/svelte-awesome/commit/f4c2dae9c3a9a4c4f363729407b046c11fc9c16e)
- fix devcontainer to work with docker [`6d2e124`](https://github.com/RobBrazier/svelte-awesome/commit/6d2e12409558197dfe0cb49cce6a614c3859cbcb)
- svelte-migrate: renamed files [`20795a5`](https://github.com/RobBrazier/svelte-awesome/commit/20795a5c42a5fbc112272166b7ffe718a0b99e7c)

## [v3.0.1](https://github.com/RobBrazier/svelte-awesome/compare/v3.0.0...v3.0.1) - 2022-12-01

### Commits

- fix: #187 remove non-unique ids from `path` and `polygon` [`c141f69`](https://github.com/RobBrazier/svelte-awesome/commit/c141f694d747ee9ecee41006b32569b3239f9b28)

## [v3.0.0](https://github.com/RobBrazier/svelte-awesome/compare/v2.4.6...v3.0.0) - 2022-05-03

### Commits

- BREAKING: restructure icon names and files to be more consistent and add icons index page [`a254e44`](https://github.com/RobBrazier/svelte-awesome/commit/a254e4471b88923e6a5f53f26a11e7966d59c072)
- fix example after highlight.js upgrade [`3ad7b8f`](https://github.com/RobBrazier/svelte-awesome/commit/3ad7b8fe7faceb41c4235ffd1d7cbb91c07e61fc)

## [v2.4.6](https://github.com/RobBrazier/svelte-awesome/compare/v2.4.5...v2.4.6) - 2022-03-11

### Commits

- fix package path [`4bf1577`](https://github.com/RobBrazier/svelte-awesome/commit/4bf1577560bf9e88649569d8b2d4ee0e535f2bf9)

## [v2.4.5](https://github.com/RobBrazier/svelte-awesome/compare/v2.4.4...v2.4.5) - 2022-03-11

### Commits

- non-functional change to validate github actions pipeline [`9c97fc8`](https://github.com/RobBrazier/svelte-awesome/commit/9c97fc80735d672ff04365ba2b05cde3159bee50)
- apply svelte-kit configuration recommendations [`0cd6054`](https://github.com/RobBrazier/svelte-awesome/commit/0cd605474225b5010f7ef7a8fe99276e4b240388)
- remove config.kit.target from svelte.config.js as no longer required [`897d67d`](https://github.com/RobBrazier/svelte-awesome/commit/897d67d24ac52eb5faedbe8ebbb55e144d611c6b)

## [v2.4.4](https://github.com/RobBrazier/svelte-awesome/compare/v2.4.3...v2.4.4) - 2022-01-25

### Commits

- fix invalid peerDependencies [`b38d38a`](https://github.com/RobBrazier/svelte-awesome/commit/b38d38a0157da4c7e5b6bf22829af8c61502f8cd)

## [v2.4.3](https://github.com/RobBrazier/svelte-awesome/compare/v2.4.2...v2.4.3) - 2022-01-23

### Commits

- fix @sveltejs/adapter-static rimraf build issue [`e2785fa`](https://github.com/RobBrazier/svelte-awesome/commit/e2785fa6600ff095e6c84af9c93c1ebc932a4070)
- use latest version of svelte-kit for example [`9993237`](https://github.com/RobBrazier/svelte-awesome/commit/99932371e8d60abcad57d89d10f117c553d7f317)
- reduce pinning on svelte in peerDependencies [`2d9e552`](https://github.com/RobBrazier/svelte-awesome/commit/2d9e5522f66eedfad386b16dce095626a86ff029)
- Explictly calls out use of camelCase for imports [`280aca4`](https://github.com/RobBrazier/svelte-awesome/commit/280aca4a5ef90e2794d339f29673d940c04ca312)

## [v2.4.2](https://github.com/RobBrazier/svelte-awesome/compare/v2.4.1...v2.4.2) - 2021-10-03

### Commits

- add svelte to peerDependencies [`38a42ba`](https://github.com/RobBrazier/svelte-awesome/commit/38a42ba01e6647a0f6546dd6e7935b6a7701ae85)

## [v2.4.1](https://github.com/RobBrazier/svelte-awesome/compare/v2.4.0...v2.4.1) - 2021-10-03

### Commits

- fix scale warning 'number is not assignable to type string' [`d47d4c0`](https://github.com/RobBrazier/svelte-awesome/commit/d47d4c0e3c4621ada70ebbe7ed970e0ce60bd427)
- add dynamic base path to get demo working [`ecfdf23`](https://github.com/RobBrazier/svelte-awesome/commit/ecfdf234425126324f38e148449a8e6d0eb367b4)

## [v2.4.0](https://github.com/RobBrazier/svelte-awesome/compare/v2.3.2...v2.4.0) - 2021-10-03

### Commits

- Add svelte-kit compatibility [`48c32ca`](https://github.com/RobBrazier/svelte-awesome/commit/48c32cac324d21c1bfae69f8e2bc51e4d4d3cdc8)
- re-add svelte to package.json [`11f28e5`](https://github.com/RobBrazier/svelte-awesome/commit/11f28e576cba7c3c1d2f89131102c1133b439964)

## [v2.3.2](https://github.com/RobBrazier/svelte-awesome/compare/v2.3.1...v2.3.2) - 2021-05-28

### Commits

- update example with svelte-highlight instead of prettify.js [`78534de`](https://github.com/RobBrazier/svelte-awesome/commit/78534de7e9b1b21e6fae4556a9c247e5dfe7daee)
- only set style if required [`7737de0`](https://github.com/RobBrazier/svelte-awesome/commit/7737de0fb8eb7136676e8509dbf2279a9c8d85dc)

## [v2.3.1](https://github.com/RobBrazier/svelte-awesome/compare/v2.3.0...v2.3.1) - 2021-03-29

### Commits

- fix rollup compatibility [`dc85158`](https://github.com/RobBrazier/svelte-awesome/commit/dc851583016b2fe4b1ae5e0ee01fa81ad393e225)
- Create Dependabot config file [`cf58bae`](https://github.com/RobBrazier/svelte-awesome/commit/cf58baeb555c35f880a229851536eb202d16b537)

## [v2.3.0](https://github.com/RobBrazier/svelte-awesome/compare/v2.2.1...v2.3.0) - 2020-04-14

### Commits

- add documentation for #602 [`c802eac`](https://github.com/RobBrazier/svelte-awesome/commit/c802eaca5882d26d8768e4ca661fa03f3e9d8fe8)
- Reactive code updates when `scale` or `style` change [`e46bb38`](https://github.com/RobBrazier/svelte-awesome/commit/e46bb3847ce78f34d10490cb951ae03073c79b66)
- Add bundlephobia badge [`60e013d`](https://github.com/RobBrazier/svelte-awesome/commit/60e013d1af7c1dcf3ddc79887902c4ebf9a823bb)

## [v2.2.1](https://github.com/RobBrazier/svelte-awesome/compare/v2.2.0...v2.2.1) - 2019-11-22

### Commits

- make icon data reactive in Icon.svelte to ensure component updates are passed to subcomponents [`be7c2bf`](https://github.com/RobBrazier/svelte-awesome/commit/be7c2bfc75dd22873a163a0277da6898bb1c2703)
- Improve rendering with SSR [`c3cfba4`](https://github.com/RobBrazier/svelte-awesome/commit/c3cfba4a55d9fa686677001a6b64a5a0cec22a72)
- update example to include custom styles [`fc7bbc3`](https://github.com/RobBrazier/svelte-awesome/commit/fc7bbc383222d43a560a3aab20775bd51c2b4cd3)

## [v2.2.0](https://github.com/RobBrazier/svelte-awesome/compare/v2.1.0...v2.2.0) - 2019-08-22

### Commits

- Add support for custom classes and styles [`29e38b0`](https://github.com/RobBrazier/svelte-awesome/commit/29e38b0661ae5379c47ff9d9def02aef9b1a380c)
- Fix fontawesome v5 example [`20e52ec`](https://github.com/RobBrazier/svelte-awesome/commit/20e52ec96ce268c065b2e6eb49a4bd7de7152143)
- Fix label example [`a649953`](https://github.com/RobBrazier/svelte-awesome/commit/a649953519eaaa0d77321109027dd62842cf2e03)

## [v2.1.0](https://github.com/RobBrazier/svelte-awesome/compare/v2.0.1...v2.1.0) - 2019-08-20

### Merged

- Add FontAwesome v5 Support [`#487`](https://github.com/RobBrazier/svelte-awesome/pull/487)

### Commits

- fix package-lock.json [`e9e9e30`](https://github.com/RobBrazier/svelte-awesome/commit/e9e9e309698282a66e285948cff0b0660e176718)
- add publish promotion [`f515ed9`](https://github.com/RobBrazier/svelte-awesome/commit/f515ed9855def9b68af5b1b896ed57aeba66569b)
- rename semaphore.yaml to semaphore.yml [`32cf4ef`](https://github.com/RobBrazier/svelte-awesome/commit/32cf4ef1afdba06078c661572de936049fbf9b05)
- rename semaphore.yaml to semaphore.yml [`cb0cfd5`](https://github.com/RobBrazier/svelte-awesome/commit/cb0cfd58e0c493c8c11da1f4bcab33274f19a106)
- add initial semaphore v3 pipeline [`e3b914b`](https://github.com/RobBrazier/svelte-awesome/commit/e3b914b8fc51a220546957e30ba8b4d351857ec3)
- split pipeline into separate blocks [`b339568`](https://github.com/RobBrazier/svelte-awesome/commit/b33956826d158048407b2c4286be0d392f3d15b3)
- add npm publish on promote [`a3f8240`](https://github.com/RobBrazier/svelte-awesome/commit/a3f8240a2c05ee91d468d0ccec68b797382a5250)
- specify node version [`d3431b8`](https://github.com/RobBrazier/svelte-awesome/commit/d3431b8451c7d173953198308f629c107d7792ec)
- add gh-pages to publish step [`804d8b5`](https://github.com/RobBrazier/svelte-awesome/commit/804d8b5d8aec2543956bd9b1840845967df97909)
- add node version to each block [`cc56aa9`](https://github.com/RobBrazier/svelte-awesome/commit/cc56aa9a0ce1b15bb3614c8184d960383df61e73)
- add version and agent to pipeline [`6faf24a`](https://github.com/RobBrazier/svelte-awesome/commit/6faf24a5f4a8cd3b5dcabfc1e0e2defce9d39684)
- specify node version [`0781644`](https://github.com/RobBrazier/svelte-awesome/commit/0781644177a58f8e91dbeb16ea49d66d071644c9)
- add sshkey for gh-pages publish [`5a0483a`](https://github.com/RobBrazier/svelte-awesome/commit/5a0483ad0f142bcff737c6a312d19f11440fd04e)
- change promotion to be on push to master [`662d899`](https://github.com/RobBrazier/svelte-awesome/commit/662d8998d368d9e98f87f18399255f3d0d1649ee)

## [v2.0.1](https://github.com/RobBrazier/svelte-awesome/compare/v2.0.0...v2.0.1) - 2019-08-19

### Commits

- remove unused eslint-plugin-jsx-a11y [`1e40c5b`](https://github.com/RobBrazier/svelte-awesome/commit/1e40c5b638463e3dd87545542445ad3003aa4dac)
- fix publish script - release -&gt; gh-release [`eb55b8b`](https://github.com/RobBrazier/svelte-awesome/commit/eb55b8b26aab8a8a8a76ad385352ddcf957d7f3f)

## [v2.0.0](https://github.com/RobBrazier/svelte-awesome/compare/v1.4.1...v2.0.0) - 2019-08-19

### Merged

- add svelte 3 support [`#434`](https://github.com/RobBrazier/svelte-awesome/pull/434)

### Commits

- fix deployment scripts and use recommended rollup.config.js [`3bee01a`](https://github.com/RobBrazier/svelte-awesome/commit/3bee01a321c9f11731510fa1833d4836b1e30462)
- fix example and update rollup dependencies [`f70875e`](https://github.com/RobBrazier/svelte-awesome/commit/f70875eeaa5a1dbc1f6935bef740dfa8c97ecec7)
- update svelte, terser and eslint [`844567d`](https://github.com/RobBrazier/svelte-awesome/commit/844567db3fa73adb40a0f801b80754e90f84ce31)
- update acorn dependency required for eslint [`48b1389`](https://github.com/RobBrazier/svelte-awesome/commit/48b138922629acae9f4f5f05e1f201e09c5027df)

## [v1.4.1](https://github.com/RobBrazier/svelte-awesome/compare/v1.4.0...v1.4.1) - 2018-09-28

### Commits

- build(example): fix example build [`4a37fbe`](https://github.com/RobBrazier/svelte-awesome/commit/4a37fbe8717eba43d642ecade20ec3aaf4df8eda)
- build: switch eslint-plugin-airbnb to eslint-plugin-airbnb-base [`041e8bf`](https://github.com/RobBrazier/svelte-awesome/commit/041e8bf0afa70ff77675d91159a5c704d9de2a7a)
- fix: guard when accessing refs onupdate() to prevent TypeError [`9682f51`](https://github.com/RobBrazier/svelte-awesome/commit/9682f518b834efe30342784b119ce44494f73b0b)
- build: update husky commit checking config [`c188bd2`](https://github.com/RobBrazier/svelte-awesome/commit/c188bd2f503d393ad03c6d23b2af361b769dcb42)
- docs: remove waffle badge from README [`eacb0f4`](https://github.com/RobBrazier/svelte-awesome/commit/eacb0f4a84597cd1932abe5b6f885714b25787dd)

## [v1.4.0](https://github.com/RobBrazier/svelte-awesome/compare/v1.3.0...v1.4.0) - 2018-08-08

### Fixed

- feat: add svelte property to package.json [`#244`](https://github.com/RobBrazier/svelte-awesome/issues/244)

### Commits

- docs(example): fix example build [`2795c51`](https://github.com/RobBrazier/svelte-awesome/commit/2795c519ed2b267e9c0b5ae67168c3b1ec8bc0a9)

## [v1.3.0](https://github.com/RobBrazier/svelte-awesome/compare/v1.2.2...v1.3.0) - 2018-06-24

### Merged

- feat: add support for svelte 2 [`#205`](https://github.com/RobBrazier/svelte-awesome/pull/205)

## [v1.2.2](https://github.com/RobBrazier/svelte-awesome/compare/v1.2.1...v1.2.2) - 2018-02-15

### Commits

- fix(component): fix Icon not defined when compiling with svelte 1.55 [`a26e34e`](https://github.com/RobBrazier/svelte-awesome/commit/a26e34e5ddf912c9d64c4e580ca1295693d68299)

## [v1.2.1](https://github.com/RobBrazier/svelte-awesome/compare/v1.2.0...v1.2.1) - 2017-12-25

### Commits

- refactor(eslint): configure and fix code for eslint airbnb prefix [`2a3dafe`](https://github.com/RobBrazier/svelte-awesome/commit/2a3dafefa753fe7c10c88942473912ee1dd517e5)
- build: fix semantic-release condition verification [`8056279`](https://github.com/RobBrazier/svelte-awesome/commit/805627936587a3d099ee3770fbda19a30838a2de)
- build(rollup): remove unused rollup-plugin-babel dependency [`02a3307`](https://github.com/RobBrazier/svelte-awesome/commit/02a33073f2df270fc7338a63b53e98f757603e9e)
- build(svelte): add svelte to dev dependencies [`9ca013b`](https://github.com/RobBrazier/svelte-awesome/commit/9ca013b0ee1b2985ef52deb8a7e2fc85d5e50029)
- fix(icon): fix computed property scope error from latest svelte version [`fe8a210`](https://github.com/RobBrazier/svelte-awesome/commit/fe8a2103fa14d78b71b0737a010e08a1f1f972d3)
- build: fix semantic-release condition verification [`36135a3`](https://github.com/RobBrazier/svelte-awesome/commit/36135a3765120a28c81927c45a7f9f68903450e1)

## [v1.2.0](https://github.com/RobBrazier/svelte-awesome/compare/v1.1.1...v1.2.0) - 2017-12-04

### Commits

- feat(css): add css and animations [`49367b4`](https://github.com/RobBrazier/svelte-awesome/commit/49367b4227ca47a99f56af5823ddbd677e4fe225)
- refactor(icon): remove unneeded klass from Icon component [`cd579ec`](https://github.com/RobBrazier/svelte-awesome/commit/cd579ec67ae2486f7f4dd3c396be8d179818b2f6)

## [v1.1.1](https://github.com/RobBrazier/svelte-awesome/compare/v1.1.0...v1.1.1) - 2017-12-04

### Commits

- fix(raw): fix raw icon type [`6e3f116`](https://github.com/RobBrazier/svelte-awesome/commit/6e3f1166d0625c1fd79d2a1285658725e5cc2200)

## [v1.1.0](https://github.com/RobBrazier/svelte-awesome/compare/v1.0.3...v1.1.0) - 2017-11-29

### Commits

- feat(icon): dynamically updated icons [`ccda8d6`](https://github.com/RobBrazier/svelte-awesome/commit/ccda8d69c0bcb88a1249cc7eae400a9714f41388)

## [v1.0.3](https://github.com/RobBrazier/svelte-awesome/compare/v1.0.2...v1.0.3) - 2017-11-29

### Commits

- fix(release): redo release [`1430a86`](https://github.com/RobBrazier/svelte-awesome/commit/1430a8609ffc4226ccda589fe9cb4c2239c84aa7)
- fix(release): redo release [`d3f892b`](https://github.com/RobBrazier/svelte-awesome/commit/d3f892b9f4d37c858ccc5072e9e639e9621267ed)

## [v1.0.2](https://github.com/RobBrazier/svelte-awesome/compare/v1.0.1...v1.0.2) - 2017-11-29

### Commits

- fix(release): add dist to released versions [`e71bd39`](https://github.com/RobBrazier/svelte-awesome/commit/e71bd39902d93c114ec6a5620a4c9967a5e6ae94)
- fix(peer): remove svelte as a peer dependency [`687c18b`](https://github.com/RobBrazier/svelte-awesome/commit/687c18bd629dfe843de7268364bc865ad9658493)

## [v1.0.1](https://github.com/RobBrazier/svelte-awesome/compare/v1.0.0...v1.0.1) - 2017-11-29

### Commits

- refactor(icons): optimise icon generation [`17c3ea4`](https://github.com/RobBrazier/svelte-awesome/commit/17c3ea4b48b8c1b1c3976a3dd45fa62f13e730f2)
- build(linting): switch to xo for linting [`ed033b3`](https://github.com/RobBrazier/svelte-awesome/commit/ed033b382d5c9808f6b8e4776b51430461b1b774)
- fix(polygon): fix svg polygon rendering [`1d5866c`](https://github.com/RobBrazier/svelte-awesome/commit/1d5866c3f21faea8f645fb4b83dd8edc5f263e0c)

## v1.0.0 - 2017-11-29

### Commits

- feat(init): initial semantic commit [`56f999c`](https://github.com/RobBrazier/svelte-awesome/commit/56f999ca2073a3b520f804ed5d6013dc95065f43)
- fix(release): fix verifyConditions [`772d8f7`](https://github.com/RobBrazier/svelte-awesome/commit/772d8f70013d1b0d7e5ea9f9718c768285c22f92)
